uikit-button
	button.pure-button(type="{opts.type}", class="{confirm: opts.type === 'submit', cancel: opts.type === 'cancel', normal: opts.type == null}")
		i(if="{opts.icon != null}", class="fa fa-{opts.icon}")
		!= "<yield/>"
	
	style(scoped, type="scss").
		button {
			font-weight: bold;
			
			&.confirm {
				background-color: #006B00;
				color: white;
			}
			
			&.cancel {
				background-color: #AF0000;
				color: white;
			}
			
			&.normal {
				background-color: #1B4AB5;
				color: white;
			}
		}